> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create a summary journal entry

POST https://rest.test.zuora.com/v1/journal-entries
Content-Type: application/json

This REST API reference describes how to manually create a summary journal entry. Request and response field descriptions and sample code are provided.
### Requirements
1.The sum of debits must equal the sum of credits in the summary journal entry.

2.The following applies only if you use foreign currency conversion:
  * If you have configured Aggregate transactions with different currencies during a Journal Run to "Yes", the value of the **currency** field must be the same as your tenant's home currency. That is, you must create journal entries using your home currency.
  * All journal entries in an accounting period must either all be aggregated or all be unaggregated. You cannot have a mix of aggregated and unaggregated journal entries in the same accounting period.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/finance/summary-journal-entries/post-summary-journal-entry

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

### Body (application/json)

This endpoint expects a POSTJournalEntryType.

- `accountingPeriodName` (string, required) — Name of the accounting period. The open-ended accounting period is named `Open-Ended`.
- `currency` (string, required) — The type of currency used. Currency must be active.
- `journalEntryDate` (date, required) — Date of the journal entry.
- `journalEntryItems` (list of POSTJournalEntryItemType, required) — Key name that represents the list of journal entry items.
- `notes` (string, optional) — The number associated with the revenue event. Character limit: 2,000
- `organizationLabel` (string, optional) — Name of the organization that the journal entry belongs to. This field is only required when you have already turned on Multi-Org feature.
- `segments` (list of POSTJournalEntrySegmentType, optional) — List of segments that apply to the summary journal entry.
- `transferredToAccounting` (enum, optional) — Status shows whether the journal entry has been transferred to an accounting system.
  - Allowed values: `No`, `Processing`, `Yes`, `Error`, `Ignore`

## Response

### 200

OK

- `journalEntryNumber` (string, optional) — Journal entry number in the format JE-00000001.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### POSTJournalEntryItemType

Container for custom fields of a Journal Entry Item object.

- `accountingCodeName` (string, required) — Name of the accounting code.
- `amount` (string, required) — Journal entry item amount in transaction currency.
- `type` (enum, required) — Type of journal entry item.
  - Allowed values: `Credit`, `Debit`
- `accountingCodeType` (enum, optional) — Accounting code type. This field is required if `accountingCodeName` is not unique. Note that `On-Account Receivable` is only available if you enable the Invoice Settlement feature.
  - Allowed values: `AccountsReceivable`, `On-Account Receivable`, `Cash`, `OtherAssets`, `CustomerCashOnAccount`, `DeferredRevenue`, `SalesTaxPayable`, `OtherLiabilities`, `SalesRevenue`, `SalesDiscounts`, `OtherRevenue`, `OtherEquity`, `BadDebt`, `OtherExpenses`
- `homeCurrencyAmount` (string, optional) — Journal entry item amount in home currency. This field is required if you have set your home currency for foreign currency conversion. Otherwise, do not pass this field.

### POSTJournalEntrySegmentType

- `segmentName` (string, required) — Name of segment. You must use the segment name that has already been specified in the default segment rule. In addition, segments need to be passed in the order where they were defined in the segmentation rule. If multiple segments are configured in the default rule, you need to specify all of them in order.
- `segmentValue` (string, required) — Value of segment in this summary journal entry.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{
  "accountingPeriodName": "2020/02",
  "currency": "USD",
  "journalEntryDate": "2020-01-20",
  "journalEntryItems": [
    {
      "accountingCodeName": "Accounts Receivable",
      "amount": "400.9",
      "type": "Credit",
      "homeCurrencyAmount": "400.9"
    },
    {
      "accountingCodeName": "Subscription Revenue",
      "amount": "400.9",
      "type": "Debit",
      "homeCurrencyAmount": "400.9"
    }
  ]
}
```

**Response**

```json
{
  "journalEntryNumber": "JE-00000001",
  "success": true
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/journal-entries"

payload = {
    "accountingPeriodName": "2020/02",
    "currency": "USD",
    "journalEntryDate": "2020-01-20",
    "journalEntryItems": [
        {
            "accountingCodeName": "Accounts Receivable",
            "amount": "400.9",
            "type": "Credit",
            "homeCurrencyAmount": "400.9"
        },
        {
            "accountingCodeName": "Subscription Revenue",
            "amount": "400.9",
            "type": "Debit",
            "homeCurrencyAmount": "400.9"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/journal-entries';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"accountingPeriodName":"2020/02","currency":"USD","journalEntryDate":"2020-01-20","journalEntryItems":[{"accountingCodeName":"Accounts Receivable","amount":"400.9","type":"Credit","homeCurrencyAmount":"400.9"},{"accountingCodeName":"Subscription Revenue","amount":"400.9","type":"Debit","homeCurrencyAmount":"400.9"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/journal-entries"

	payload := strings.NewReader("{\n  \"accountingPeriodName\": \"2020/02\",\n  \"currency\": \"USD\",\n  \"journalEntryDate\": \"2020-01-20\",\n  \"journalEntryItems\": [\n    {\n      \"accountingCodeName\": \"Accounts Receivable\",\n      \"amount\": \"400.9\",\n      \"type\": \"Credit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    },\n    {\n      \"accountingCodeName\": \"Subscription Revenue\",\n      \"amount\": \"400.9\",\n      \"type\": \"Debit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/journal-entries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accountingPeriodName\": \"2020/02\",\n  \"currency\": \"USD\",\n  \"journalEntryDate\": \"2020-01-20\",\n  \"journalEntryItems\": [\n    {\n      \"accountingCodeName\": \"Accounts Receivable\",\n      \"amount\": \"400.9\",\n      \"type\": \"Credit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    },\n    {\n      \"accountingCodeName\": \"Subscription Revenue\",\n      \"amount\": \"400.9\",\n      \"type\": \"Debit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://rest.test.zuora.com/v1/journal-entries")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"accountingPeriodName\": \"2020/02\",\n  \"currency\": \"USD\",\n  \"journalEntryDate\": \"2020-01-20\",\n  \"journalEntryItems\": [\n    {\n      \"accountingCodeName\": \"Accounts Receivable\",\n      \"amount\": \"400.9\",\n      \"type\": \"Credit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    },\n    {\n      \"accountingCodeName\": \"Subscription Revenue\",\n      \"amount\": \"400.9\",\n      \"type\": \"Debit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    }\n  ]\n}")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://rest.test.zuora.com/v1/journal-entries', [
  'body' => '{
  "accountingPeriodName": "2020/02",
  "currency": "USD",
  "journalEntryDate": "2020-01-20",
  "journalEntryItems": [
    {
      "accountingCodeName": "Accounts Receivable",
      "amount": "400.9",
      "type": "Credit",
      "homeCurrencyAmount": "400.9"
    },
    {
      "accountingCodeName": "Subscription Revenue",
      "amount": "400.9",
      "type": "Debit",
      "homeCurrencyAmount": "400.9"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/journal-entries");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accountingPeriodName\": \"2020/02\",\n  \"currency\": \"USD\",\n  \"journalEntryDate\": \"2020-01-20\",\n  \"journalEntryItems\": [\n    {\n      \"accountingCodeName\": \"Accounts Receivable\",\n      \"amount\": \"400.9\",\n      \"type\": \"Credit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    },\n    {\n      \"accountingCodeName\": \"Subscription Revenue\",\n      \"amount\": \"400.9\",\n      \"type\": \"Debit\",\n      \"homeCurrencyAmount\": \"400.9\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "accountingPeriodName": "2020/02",
  "currency": "USD",
  "journalEntryDate": "2020-01-20",
  "journalEntryItems": [
    [
      "accountingCodeName": "Accounts Receivable",
      "amount": "400.9",
      "type": "Credit",
      "homeCurrencyAmount": "400.9"
    ],
    [
      "accountingCodeName": "Subscription Revenue",
      "amount": "400.9",
      "type": "Debit",
      "homeCurrencyAmount": "400.9"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/journal-entries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```